Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.event
Interface ProtegeClsListener

All Superinterfaces:
  edu.stanford.smi.protege.event.ClsListener, EventListener

All Known Subinterfaces:
  ClassListener

All Known Implementing Classes:
  ClassAdapter

    public interface ProtegeClsListener

extends edu.stanford.smi.protege.event.ClsListener

Author:
  Holger Knublauch

Method Summary
`void` | `directInstanceAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directInstanceRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directSubclassAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directSubclassMoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated. not supported by OWL
`void` | `directSubclassRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directSuperclassAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `directSuperclassRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `templateFacetAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated. no OWL equivalent
`void` | `templateFacetRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated. no OWL equivalent
`void` | `templateFacetValueChanged(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated. no OWL equivalent
`void` | `templateSlotAdded(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `templateSlotRemoved(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated.
`void` | `templateSlotValueChanged(edu.stanford.smi.protege.event.ClsEvent event)` Deprecated. no OWL equivalent

Method Detail

### directInstanceAdded

    void directInstanceAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directInstanceAdded` in interface `edu.stanford.smi.protege.event.ClsListener`
  See Also:
    `ClassListener.instanceAdded(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFResource)`

### directInstanceRemoved

    void directInstanceRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directInstanceRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  See Also:
    `ClassListener.instanceRemoved(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFResource)`

### directSubclassAdded

    void directSubclassAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directSubclassAdded` in interface `edu.stanford.smi.protege.event.ClsListener`
  See Also:
    `ClassListener.subclassAdded(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### directSubclassMoved

    void directSubclassMoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated. not supported by OWL

  Specified by:
    `directSubclassMoved` in interface `edu.stanford.smi.protege.event.ClsListener`

### directSubclassRemoved

    void directSubclassRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directSubclassRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  See Also:
    `ClassListener.subclassRemoved(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### directSuperclassAdded

    void directSuperclassAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directSuperclassAdded` in interface `edu.stanford.smi.protege.event.ClsListener`
  See Also:
    `ClassListener.superclassAdded(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### directSuperclassRemoved

    void directSuperclassRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `directSuperclassRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  See Also:
    `ClassListener.subclassRemoved(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFSClass)`

### templateFacetAdded

    void templateFacetAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated. no OWL equivalent

  Specified by:
    `templateFacetAdded` in interface `edu.stanford.smi.protege.event.ClsListener`

### templateFacetRemoved

    void templateFacetRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated. no OWL equivalent

  Specified by:
    `templateFacetRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`

### templateFacetValueChanged

    void templateFacetValueChanged(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated. no OWL equivalent

  Specified by:
    `templateFacetValueChanged` in interface `edu.stanford.smi.protege.event.ClsListener`

### templateSlotAdded

    void templateSlotAdded(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `templateSlotAdded` in interface `edu.stanford.smi.protege.event.ClsListener`
  See Also:
    `ClassListener.addedToUnionDomainOf(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### templateSlotRemoved

    void templateSlotRemoved(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated.

  Specified by:
    `templateSlotRemoved` in interface `edu.stanford.smi.protege.event.ClsListener`
  See Also:
    `ClassListener.removedFromUnionDomainOf(edu.stanford.smi.protegex.owl.model.RDFSClass, edu.stanford.smi.protegex.owl.model.RDFProperty)`

### templateSlotValueChanged

    void templateSlotValueChanged(edu.stanford.smi.protege.event.ClsEvent event)

  Deprecated. no OWL equivalent

  Specified by:
    `templateSlotValueChanged` in interface `edu.stanford.smi.protege.event.ClsListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.